Returns roles of the workspace.

GEThttps://api.awork.com/api/v1/roles
GET https://api.awork.com/api/v1/roles

Returns roles of the workspace. Each role includes its name and status.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Query parameters

showArchivedbooleanOptional
Default: false

Whether to show archived roles.

Responses

200 OK

application/json

namestringRequired
minLength: 1

The name of the role. Must be unique.

isAdminRolebooleanOptional

Whether this is the admin role. Only one role can be the admin role.

isGuestRolebooleanOptional

Whether this is the guest role. Only one role can be the guest role.

idstringOptional
format: uuid

The id of the role.

isAgentRolebooleanOptional

Whether this is a retained role from the legacy agent-as-user model. The role cannot be modified.

isPresetbooleanOptional

Whether this role is one of the preset roles. Preset roles can be edited, archived and deleted.

isArchivedbooleanOptional

Whether the role has been archived.

createdBystringOptional
format: uuid

The id of the user who created this role.

createdOnstringOptional
format: date-time

The date this role was created.

updatedBystringOptional
format: uuid

The id of the user who updated this role.

updatedOnstringOptional
format: date-time

The date this role was last modified.

Search documentation